import { __require as requireDefineProperties } from "../define-properties/index.js";
import { __require as requireEsShimUnscopables } from "../es-shim-unscopables/index.js";
import { __require as requirePolyfill } from "./polyfill.js";
var shim;
var hasRequiredShim;
function requireShim() {
  if (hasRequiredShim) return shim;
  hasRequiredShim = 1;
  var define = requireDefineProperties();
  var shimUnscopables = requireEsShimUnscopables();
  var getPolyfill = requirePolyfill();
  shim = function shimFlat() {
    var polyfill = getPolyfill();
    define(
      Array.prototype,
      { flat: polyfill },
      { flat: function() {
        return Array.prototype.flat !== polyfill;
      } }
    );
    shimUnscopables("flat");
    return polyfill;
  };
  return shim;
}
export {
  requireShim as __require
};
